summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorunknown <magnus@neptunus.(none)>2004-04-15 17:30:50 +0200
committerunknown <magnus@neptunus.(none)>2004-04-15 17:30:50 +0200
commite19deec1bc92126f86bb2246ceabdeace548e202 (patch)
tree9581be502cea810ad38cb08e25e5fd617e99b45f
parent689d0a0ad571ac8185c0df799ac65b8b34f3ea48 (diff)
downloadmariadb-git-e19deec1bc92126f86bb2246ceabdeace548e202.tar.gz
Fix mysql-test-run to work better with NDB
Fix broken string constant in mysqld.cc mysql-test/mysql-test-run.sh: Don't enable NDB when the slave mysqld is started Remove the ndbcluster dir from var/ when restarting test Set datadir for NDB to @MYSQL_TEST_DIR/var so that ndbcluster dir is created there. Otherwise it will appear as a database in mysqld. sql/mysqld.cc: The string was broken in two lines and failed to compile on some compiler. Remove ifdefs around OPT_NDBCLUSTER, it should always be available even when not supported.
-rw-r--r--mysql-test/mysql-test-run.sh5
-rw-r--r--sql/mysqld.cc5
2 files changed, 4 insertions, 6 deletions
diff --git a/mysql-test/mysql-test-run.sh b/mysql-test/mysql-test-run.sh
index 67a0f8cd509..bdacd6c10b9 100644
--- a/mysql-test/mysql-test-run.sh
+++ b/mysql-test/mysql-test-run.sh
@@ -1040,7 +1040,7 @@ start_slave()
--core --init-rpl-role=slave \
--tmpdir=$MYSQL_TMP_DIR \
--language=$LANGUAGE \
- --skip-innodb --skip-slave-start \
+ --skip-innodb --skip-ndb --skip-slave-start \
--slave-load-tmpdir=$SLAVE_LOAD_TMPDIR \
--report-host=127.0.0.1 --report-user=root \
--report-port=$slave_port \
@@ -1421,6 +1421,7 @@ then
fi
# Remove files that can cause problems
+ $RM -rf $MYSQL_TEST_DIR/var/ndbcluster
$RM -f $MYSQL_TEST_DIR/var/run/* $MYSQL_TEST_DIR/var/tmp/*
# Remove old berkeley db log files that can confuse the server
@@ -1436,7 +1437,7 @@ then
if [ -z "$USE_RUNNING_NDBCLUSTER" ]
then
echo "Starting ndbcluster"
- ./ndb/install_ndbcluster --initial --data-dir=$MASTER_MYDDIR || exit 1
+ ./ndb/install_ndbcluster --initial --data-dir=$MYSQL_TEST_DIR/var || exit 1
export NDB_CONNECTSTRING=`cat Ndb.cfg`
else
export NDB_CONNECTSTRING="$USE_RUNNING_NDBCLUSTER"
diff --git a/sql/mysqld.cc b/sql/mysqld.cc
index c7fafae35c1..bd540e4ebc4 100644
--- a/sql/mysqld.cc
+++ b/sql/mysqld.cc
@@ -4162,13 +4162,10 @@ Disable with --skip-innodb (will save memory).",
Disable with --skip-isam.",
(gptr*) &opt_isam, (gptr*) &opt_isam, 0, GET_BOOL, NO_ARG, 1, 0, 0,
0, 0, 0},
-#ifdef HAVE_NDBCLUSTER_DB
- {"ndbcluster", OPT_NDBCLUSTER, "Enable NDB Cluster (if this version of MySQL
-supports it). \
+ {"ndbcluster", OPT_NDBCLUSTER, "Enable NDB Cluster (if this version of MySQL supports it). \
Disable with --skip-ndbcluster (will save memory).",
(gptr*) &opt_ndbcluster, (gptr*) &opt_ndbcluster, 0, GET_BOOL, NO_ARG, 1, 0, 0,
0, 0, 0},
-#endif
{"skip-locking", OPT_SKIP_LOCK,
"Deprecated option, use --skip-external-locking instead.",
0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},